Page MenuHomePhabricator

Usernames with commas not supported {dove}
Closed, ResolvedPublic

Description

Adding a username with a comma in it makes the entire cohort fail.

Real-life case: https://metrics.wmflabs.org/cohorts/#6935 contains https://commons.wikimedia.org/wiki/Special:Contributions/Бурачек,_Андрій_Всеволодович who has a comma in his username. The result of this cohort:
Validation: FAILURE

  • without any possibility to remove this user and without marking this user as invalid.

As usernames with commas are allowed, they should be allowed by Wikimetrics as well.

Event Timeline

NickK created this task.Mar 9 2016, 11:35 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptMar 9 2016, 11:35 PM
Milimetric renamed this task from Usernames with commas not supported to Usernames with commas not supported {dove}.Mar 14 2016, 4:11 PM
Milimetric triaged this task as Medium priority.
Milimetric moved this task from Incoming to Operational Excellence Future on the Analytics board.
mforns claimed this task.Mar 28 2016, 6:33 AM
mforns edited projects, added Analytics-Kanban; removed Analytics.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

@NickK Thanks for creating this task.
I checked the code and there are currently 2 ways you can create cohorts containing usernames with commas:

  1. Enclose usernames between *double* quotes.
  2. Wikimetrics also permits to add usernames without quotes, given that you specify the project as a last parameter. Like: Бурачек, Андрій Всеволодович, en (or wichever project this user belongs to).

Please, understand that Wikimetrics' cohort input follows CSV format, and as such has this limitation and forces the users to follow one of those 2 options.

mforns moved this task from In Progress to Done on the Analytics-Kanban board.Mar 28 2016, 6:58 AM
Nuria closed this task as Resolved.Apr 1 2016, 8:40 PM